// sound_ctrl.v

// Generated using ACDS version 12.1 177 at 2013.04.18.05:45:23

`timescale 1 ps / 1 ps
module sound_ctrl (
		input  wire        clk,         //            clock.clk
		input  wire        reset_n,     //            reset.reset_n
		input  wire        read,        //   avalon_slave_0.read
		input  wire        write,       //                 .write
		input  wire        chipselect,  //                 .chipselect
		input  wire [16:0] address,     //                 .address
		output wire [15:0] readdata,    //                 .readdata
		input  wire [15:0] writedata,   //                 .writedata
		output wire        audioIrq,    // interrupt_sender.irq
		output wire        AUD_ADCLRCK, //      conduit_end.export
		input  wire        AUD_ADCDAT,  //                 .export
		output wire        AUD_DACLRCK, //                 .export
		output wire        AUD_DACDAT,  //                 .export
		inout  wire        AUD_BCLK     //                 .export
	);

	sound_controller sound_ctrl_inst (
		.clk         (clk),         //            clock.clk
		.reset_n     (reset_n),     //            reset.reset_n
		.read        (read),        //   avalon_slave_0.read
		.write       (write),       //                 .write
		.chipselect  (chipselect),  //                 .chipselect
		.address     (address),     //                 .address
		.readdata    (readdata),    //                 .readdata
		.writedata   (writedata),   //                 .writedata
		.audioIrq    (audioIrq),    // interrupt_sender.irq
		.AUD_ADCLRCK (AUD_ADCLRCK), //      conduit_end.export
		.AUD_ADCDAT  (AUD_ADCDAT),  //                 .export
		.AUD_DACLRCK (AUD_DACLRCK), //                 .export
		.AUD_DACDAT  (AUD_DACDAT),  //                 .export
		.AUD_BCLK    (AUD_BCLK)     //                 .export
	);

endmodule
